For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList standard entity rules
      • GETGet standard entity rule
      • PUTUpdate standard entity rule
      • GETList standard entity rules (Tool Pack)
      • GETGet standard entity rule (Tool Pack)
      • PUTCreate or update standard entity rule override (Tool Pack)
      • DELDelete standard entity rule override (Tool Pack)

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerStandard entity rules

Update standard entity rule

PUT
https://ah-api.merge.dev/api/v1/security/standard-entity-rules/:entity_type/
PUT
/api/v1/security/standard-entity-rules/:entity_type/
$curl -X PUT https://ah-api.merge.dev/api/v1/security/standard-entity-rules/entity_type/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "is_active": true,
> "inbound_action": "BLOCK",
> "outbound_action": "BLOCK"
>}'
200Updated
1{
2 "entity_type": "string",
3 "region": "string",
4 "description": "string",
5 "detection_method": "string",
6 "is_active": true,
7 "outbound_action": "BLOCK",
8 "defined_at": "string"
9}

Update a standard entity rule. All writable fields (is_active, inbound_action, outbound_action) are required.

Was this page helpful?
Previous

Get standard entity rule

Next

List standard entity rules (Tool Pack)

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

entity_typestringRequired

Request

This endpoint expects an object.
is_activebooleanRequired
inbound_actionenumRequired
  • BLOCK - BLOCK
  • REDACT - REDACT
  • LOG - LOG
  • NONE - NONE
Allowed values:
outbound_actionenumRequired
  • BLOCK - BLOCK
  • REDACT - REDACT
  • LOG - LOG
  • NONE - NONE
Allowed values:

Response

entity_typestring
regionstring
descriptionstring
detection_methodstring
is_activeboolean
outbound_actionenum or null
  • BLOCK - BLOCK
  • REDACT - REDACT
  • LOG - LOG
  • NONE - NONE
Allowed values:
defined_atstring